## uvp-monitor 2.2.0.302

=== uvp-monitor/Makefile ===
##############################################################################
#                   Copyright 2016, Huawei Tech. Co., Ltd.
# FileName  :   Makefile
# Desciption:   The main makefile to build monitor module for Linux Distr.
##############################################################################

TARGET := uvp-monitor
CC     := gcc

cpu_bit = $(shell getconf LONG_BIT)
ifeq ($(cpu_bit), 32)
	cpu_bit=32
else
	cpu_bit=64
endif

# for debug version, set DBG_FLAAG=y
DBG_FLAG:=  

INC_FLAGS += -Iinclude -Isecurec/include

CFLAGS += -lpthread
ifeq ($(DBG_FLAG), y)
	CFLAGS += -g
endif

# don't provide pv-upgrade ability to user-compiled-pv vm
CFLAGS += -DNOT_USE_PV_UPGRADE

${TARGET}-${cpu_bit}: securec_api has_xs patch_xs
	$(CC) -o $@ ${INC_FLAGS} main.c xenctlmon.c network.c netinfo.c memory.c cpuinfo.c xenstore_common.c hostname.c cpu_hotplug.c disk.c upgrade.c healthcheck.c check_kernel.c ${CFLAGS} libsecurec.a -L. -lxenstore 
	$(CC) -o $@-static ${INC_FLAGS} main.c xenctlmon.c network.c netinfo.c memory.c cpuinfo.c xenstore_common.c hostname.c cpu_hotplug.c disk.c upgrade.c healthcheck.c check_kernel.c ${CFLAGS} libsecurec.a -L. libxenstore.a -L.
	$(CC) -o arping iputils/arping.c
	$(CC) -o ndsend iputils/ndsend.c

has_xs:
	@if [ -d "xen-4.1.2/tools/xenstore" ]; then \
		echo "You have a xenstore directory."; \
		exit 0; \
	elif [ -f "xen-4.1.2.tar.gz" ]; then \
		echo "You have a xen-4.1.2 source tarball."; \
	else \
		wget http://bits.xensource.com/oss-xen/release/4.1.2/xen-4.1.2.tar.gz; \
		if [ "X1" = "X$$?" ]; then \
			echo "You must download xen-4.1.2 source tarball." \
			exit 1; \
		fi; \
	fi; \
	tar -xzf xen-4.1.2.tar.gz xen-4.1.2/tools/xenstore; \
	exit 0

patch_xs:
	@if [ -d "xen-4.1.2/tools/xenstore" ]; then \
		patch -N -p0 < xenstore_dev_xen_xenbus_enable.diff; \
		cd xen-4.1.2/tools/xenstore/; \
		make all; \
		install -m755 libxenstore.so.3.0.0 /usr/lib; \
		ln -sf /usr/lib/libxenstore.so.3.0.0 /usr/lib/libxenstore.so.3.0; \
		ln -sf /usr/lib/libxenstore.so.3.0 /usr/lib/libxenstore.so; \
		cd -; \
	fi

securec_api:
	@cd ./securec/src/; \
	make -f MakefileCustom securecstatic; \
	cp libsecurec.a ../../libsecurec.a; \
	cd -

install:
	install -m544 uvp-monitor-${cpu_bit} /usr/bin/
	install -m544 ./xen-4.1.2/tools/xenstore/libxenstore.so.3.0.0 /usr/lib
	@cd /usr/lib; \
	ln -sf libxenstore.so.3.0.0 libxenstore.so.3.0; \
	ln -sf libxenstore.so.3.0.0 libxenstore.so; \
	cd -
	install -m544 monitor/uvp-monitor /etc/init.d/
	@ln -sf /etc/init.d/uvp-monitor /etc/rc.d/rc3.d/S99uvp-monitor
	@ln -sf /etc/init.d/uvp-monitor /etc/rc.d/rc3.d/K99uvp-monitor
	@ln -sf /etc/init.d/uvp-monitor /etc/rc.d/rc5.d/S99uvp-monitor
	@ln -sf /etc/init.d/uvp-monitor /etc/rc.d/rc5.d/K99uvp-monitor

install_static:
	install -m544 uvp-monitor-${cpu_bit}-static /usr/bin/
	install -m544 monitor/uvp-monitor /etc/init.d/
	@ln -sf /etc/init.d/uvp-monitor /etc/rc.d/rc3.d/S99uvp-monitor
	@ln -sf /etc/init.d/uvp-monitor /etc/rc.d/rc3.d/K99uvp-monitor
	@ln -sf /etc/init.d/uvp-monitor /etc/rc.d/rc5.d/S99uvp-monitor
	@ln -sf /etc/init.d/uvp-monitor /etc/rc.d/rc5.d/K99uvp-monitor

.PHONY: clean
clean:
	@cd ./securec/src; \
	make clean; \
	cd -
	@if [ -d "./xen-4.1.2/tools/xenstore" ]; then \
		cd ./xen-4.1.2/tools/xenstore; \
		make clean; \
		cd -; \
	fi
	rm -f libsecurec.a
	rm -f libxenstore.a
	rm -f $(TARGET)-* 
	rm -f *.o arping ndsend

=== uvp-xenpv/uvp-classic_xen_driver-2.6.32to3.0.x/Makefile ===
###############################################################################
###### File name   : Makefile											######
###### Author	  :													    ######
###### Description : To optimize the PV_ON_HVM drivers's Makefile		######
###### History	 :													    ######
######              2012-06-4 : Create the file                          ######
###############################################################################

M=$(shell pwd)
-include $(M)/config.mk

COMPILEARGS = $(CROSSCOMPILE)

reboot=$(OSVERSION)/reboot.c
obj-m += xen-platform-pci/
obj-m += xen-balloon/
obj-m += xen-vbd/
obj-m += xen-vnif/
obj-m += xen-hcall/
obj-m += xen-vmdq/
ifeq (2.6.32, $(OSVERSION))
ifeq (x86_64, $(KERNELARCH))
reboot=reboot_64.c
endif
endif

ifeq (3.0.58, $(OSVERSION))
OSVERSION=3.0.13
endif

ifeq (3.0.80, $(OSVERSION))
OSVERSION=3.0.13
endif

###vni_front for VSA
ifeq ("2.6.32.59-0.7-default", "$(BUILDKERNEL)")
obj-m += vni_front/
endif

ifeq ("3.0.13-0.27-default", "$(BUILDKERNEL)")
obj-m += vni_front/
endif

ifeq ("3.0.13-0.27-pae", "$(BUILDKERNEL)")
obj-m += vni_front/
endif

ifeq (3.0.76, $(OSVERSION))
obj-m += vni_front/
endif

all:lnfile rename_headers
	make -C $(KERNDIR) M=$(M) modules $(COMPILEARGS)

modules_install:lnfile rename_headers
	make -C $(KERNDIR) M=$(M) modules_install $(COMPILEARGS)
	mkinitrd

lnfile:
	@set -e; \
	for dir in $(obj-m); \
	do \
		if [ "xen-hcall/" == "$$dir" ] || [ "xen-vmdq/" == "$$dir" ]; then \
			continue; \
		fi; \
		cd $$dir; \
		for file in `ls $(OSVERSION)`; \
		do \
			ln -sf $(OSVERSION)/$$file $$file; \
		done; \
		cd -; \
	done; \
	cd xen-platform-pci/; \
	ln -sf $(reboot) reboot.c; \
	cd ..

rename_headers:
	@if [ -d "/lib/modules/$(shell uname -r)/source/include/linux/" ]; then \
		cd /lib/modules/$(shell uname -r)/source/include/linux/; \
	elif [ -d "/lib/modules/$(shell uname -r)/build/include/linux/" ]; then \
		cd /lib/modules/$(shell uname -r)/build/include/linux/; \
	else \
		exit 0; \
	fi; \
	rename virtio VIRTIO virtio* 1>/dev/null 2>&1; \
	cd -

clean:
	make -C $(KERNDIR) M=$(M) clean $(COMPILEARGS)
	@find ./ -name modules.order | xargs rm -f
	@rm -rf Module.symvers
	@cd $$M
	@find ./ -type l | xargs rm -f
	@if [ -d "/lib/modules/$(shell uname -r)/source/include/linux/" ]; then \
		cd /lib/modules/$(shell uname -r)/source/include/linux/; \
	elif [ -d "/lib/modules/$(shell uname -r)/build/include/linux/" ]; then \
		cd /lib/modules/$(shell uname -r)/build/include/linux/; \
	else \
		exit 0; \
	fi; \
	rename VIRTIO virtio VIRTIO* 1>/dev/null 2>&1; \
	cd -

=== uvp-xenpv/uvp-classic_xen_driver-3.12.xto3.16.x/Makefile ===
###############################################################################
###### File name   : Makefile                                            ######
###### Author      :                                                     ######
###### Description : To optimize the PV_ON_HVM drivers's Makefile        ######
###### History     :                                                     ######
######               2012-02-24 : Create the file                        ######
###############################################################################

M=$(shell pwd)
-include $(M)/config.mk
COMPILEARGS = $(CROSSCOMPILE)

obj-m += xen-platform-pci/
ifneq ("3.16.6", "$(OSVERSION)")
obj-m += xen-balloon/
endif
obj-m += xen-vbd/
obj-m += xen-vnif/
obj-m += xen-hcall/

all:
	make -C $(KERNDIR) M=$(M) modules $(COMPILEARGS)

modules_install:
	make -C $(KERNDIR) M=$(M) modules_install $(COMPILEARGS)

clean:
	make -C $(KERNDIR) M=$(M) clean $(COMPILEARGS)
	rm -rf Module.symvers

=== uvp-xenpv/uvp-pvops_xen_driver-2.6.32to4.0.x/Makefile ===
###############################################################################
###### File name   : Makefile                                            ######
###### Author      : uvptools@huawei.com                                 ######
###### Description : For output xenbus user-space library of new         ######
######               linux OS release                                    ######
###### History     :                                                     ######
######               2012-05-23: Create the file.                        ######
######               2012-12-28: Add the KERNDIR parameter for build.    ######
###############################################################################

M = $(shell pwd)

include $(M)/config.mk

COMPILEFLAGS=$(CROSSCOMPILE)

vnif_path=other

obj-m := xen-hcall/

ifeq ($(NO_PROCFS), )
obj-m += xen-procfs/
endif

ifeq ("2.6.32-131.0.15.el6.x86_64", "$(BUILDKERNEL)")
obj-m += xen-scsi/
endif

ifeq ("2.6.32-220.el6.x86_64", "$(BUILDKERNEL)")
obj-m += xen-scsi/
endif

ifeq ("2.6.32-279.el6.x86_64", "$(BUILDKERNEL)")
obj-m += xen-scsi/
endif

ifeq ("2.6.32-358.el6.x86_64", "$(BUILDKERNEL)")
obj-m += xen-scsi/
endif
ifeq ("Ubuntu", "$(OSDISTRIBUTION)")
#the 3th kernel version
ifeq ("38", "$(KERN_VER)")
obj-m += xen-balloon/
endif
endif

ifeq ("Debian", "$(OSDISTRIBUTION)")
ifeq ("2.6.32-5-amd64", "$(BUILDKERNEL)")
obj-m += xen-balloon/
endif
endif

ifeq ("Oracle", "$(OSDISTRIBUTION)")
ifeq ("","$(ORACLE65)")
ifneq ("39", "$(KERN_VER)")
obj-m += xen-vbd/
endif
ifneq ("", "$(ORACLE56)")
obj-m += xen-balloon/
endif
obj-m += xen-vnif/
endif
endif

ifeq ("redhat", "$(OSDISTRIBUTION)")
ifeq ($(OS_DIST_RHEL_7), )
obj-m += xen-balloon/
obj-m += xen-vbd/
obj-m += xen-vnif/
obj-m += vni_front/
endif
endif

ifeq ("39","$(KERN_VER)")
vnif_path=oracle6
endif

ifeq ("3.16.0-4-amd64", "$(BUILDKERNEL)")
obj-m += xen-vnif/
vnif_path=debian8
endif

ifeq ("4.0.4-301.fc22.x86_64", "$(BUILDKERNEL)")
obj-m += xen-vnif/
vnif_path=fedora22
endif

all:lnfile
	make -C $(KERNDIR) M=$(M) modules $(COMPILEFLAGS)

modules_install:lnfile
	make -C $(KERNDIR) M=$(M) modules_install ${COMPILEFLAGS}
lnfile:
	@set -e; \
	cd xen-vnif; \
	for file in `ls $(vnif_path)`; \
	do \
		ln -sf $(vnif_path)/$$file $$file; \
	done; \
	cd -

clean:
	make -C $(KERNDIR) M=$(M) clean $(COMPILEFLAGS)
	rm -rf ./*/*.order

=== uvp-xenpv/others/FEDORA12/Makefile ===
###############################################################################
###### File name   : Makefile                                            ######
###### Author      :                                                     ######
###### Modify      : songjiangtao 00202546                               ######
###### Description : To optimize the PV_ON_HVM drivers's Makefile        ######
###### History     :                                                     ######
######               2012-02-24 : Create the file                        ######
###############################################################################

M=$(shell pwd)

COMPILEFLAGS=$(CROSSCOMPILE)

obj-m += xen-platform-pci/
obj-m += xen-balloon/
obj-m += xen-vbd/
obj-m += xen-vnif/
obj-m += xen-vmdq/
#obj-m += xen-scsi/
obj-m += xen-hcall/

all:
	make -C $(KERNDIR) M=$(M) modules $(COMPILEFLAGS)

modules_install:
	make -C $(KERNDIR) M=$(M) modules_install $(COMPILEFLAGS)

clean:
	make -C $(KERNDIR) M=$(M) clean $(COMPILEFLAGS)
	rm -rf Modules.symvers

=== uvp-xenpv/others/FEDORA9/Makefile ===
###############################################################################
###### File name   : Makefile                                            ######
###### Author      :                                                     ######
###### Modify      : songjiangtao 00202546                               ######
###### Description : To optimize the PV_ON_HVM drivers's Makefile        ######
###### History     :                                                     ######
######               2012-02-24 : Create the file                        ######
###############################################################################

M=$(shell pwd)
COMPILEFLAGS=$(CROSSCOMPILE)

obj-m += xen-platform-pci/
obj-m += xen-balloon/
obj-m += xen-vbd/
obj-m += xen-vnif/
obj-m += xen-vmdq/
obj-m += xen-hcall/

all:
	make -C $(KERNDIR) M=$(M) modules $(COMPILEFLAGS)

modules_install:
	make -C $(KERNDIR) M=$(M) modules_install $(COMPILEFLAGS)

clean:
	make -C $(KERNDIR) M=$(M) clean $(COMPILEFLAGS)
	rm -rf Modules.symvers

=== uvp-xenpv/others/RHEL4/Makefile ===
###############################################################################
###### File name   : Makefile                                            ######
###### Author      :                                                     ######
###### Description : To optimize the PV_ON_HVM drivers's Makefile        ######
###### History     :                                                     ######
######               2012-02-24 : Create the file                        ######
###############################################################################

M=$(shell pwd)
COMPILEARGS = $(CROSSCOMPILE)
ASIANUX_BALLOON = $(shell echo $(KERNDIR) | grep "2.6.9-89" | grep "AXS")

balloon_path=other
ifneq ($(ASIANUX_BALLOON),)
balloon_path = 2.6.9-89
endif
obj-m += xen-platform-pci/
obj-m += xen-balloon/
obj-m += xen-vbd/
obj-m += xen-vnif/
obj-m += xen-vmdq/
obj-m += xen-hcall/

all:lnfile
	make -C $(KERNDIR) M=$(M) modules $(COMPILEARGS)

modules_install:lnfile
	make -C $(KERNDIR) M=$(M) modules_install $(COMPILEARGS)
lnfile:
	@set -e; \
	cd xen-balloon; \
	for file in `ls $(balloon_path)`; \
	do \
		ln -sf $(balloon_path)/$$file $$file; \
	done; \
	cd -
clean:
	make -C $(KERNDIR) M=$(M) clean $(COMPILEARGS)
	rm -rf Modules.symvers

=== uvp-xenpv/others/RHEL5/Makefile ===
###############################################################################
###### File name   : Makefile                                            ######
###### Author      :                                                     ######
###### Description : To optimize the PV_ON_HVM drivers's Makefile        ######
###### History     :                                                     ######
######               2012-02-24: Create the file.                        ######
######               2012-12-22: Makefile integrate with config.mk.      ######
###############################################################################

M=$(shell pwd)
COMPILEARGS = $(CROSSCOMPILE)
RHEL55_VBD = $(shell echo $(KERNDIR) | grep 2.6.18-194)
RHEL50_VBD = $(shell echo $(KERNDIR) | grep 2.6.18-8)
ZBQL_VBD = $(shell echo $(KERNDIR) | grep 2.6.18-SKL)
FEDORA6_VBD = $(shell echo $(KERNDIR) | grep 2.6.18-1.2798)
vbd_path=other

include $(M)/config.mk

obj-m += xen-platform-pci/
obj-m += xen-balloon/
obj-m += xen-vbd/
obj-m += xen-vnif/
obj-m += xen-scsi/
obj-m += xen-vmdq/
obj-m += xen-hcall/
ifneq ($(RHEL55_VBD), )
vbd_path = 2.6.18-194
endif

ifneq ($(RHEL50_VBD), )
vbd_path = 2.6.18-8
endif

ifneq ($(ZBQL_VBD), )
vbd_path = 2.6.18-8
endif

ifneq ($(FEDORA6_VBD), )
vbd_path = 2.6.18-8
endif

all:lnfile
	make -C $(KERNDIR) M=$(M) modules $(COMPILEARGS)

modules_install:lnfile
	make -C $(KERNDIR) M=$(M) modules_install $(COMPILEARGS)

lnfile:
	@set -e; \
	cd xen-vbd; \
	for file in `ls $(vbd_path)`; \
	do \
		ln -sf $(vbd_path)/$$file $$file; \
	done; \
	cd -

clean:
	make -C $(KERNDIR) M=$(M) clean $(COMPILEARGS)
	rm -rf Modules.symvers

=== uvp-xenpv/others/SLES10/Makefile ===
###############################################################################
###### File name   : Makefile                                            ######
###### Author      :                                                     ######
###### Description : To optimize the PV_ON_HVM drivers's Makefile        ######
###### History     :                                                     ######
######               2012-02-24 : Create the file                        ######
###############################################################################

M=$(shell pwd)

COMPILEARGS = $(CROSSCOMPILE)

obj-m += xen-platform-pci/
obj-m += xen-balloon/
obj-m += xen-vbd/
obj-m += xen-vnif/
obj-m += xen-vmdq/
obj-m += xen-hcall/

all:
	make -C $(KERNDIR) M=$(M) modules $(COMPILEARGS)
modules_install:
	make -C $(KERNDIR) M=$(M) modules_install $(COMPILEARGS)
clean:
	make -C $(KERNDIR) M=$(M) clean $(COMPILEARGS)
	rm -rf Modules.symvers

=== uvp-xenpv/others/Ubuntu10/Makefile ===
###############################################################################
###### File name   : Makefile                                            ######
###### Author      :                                                     ######
###### Modify      : songjiangtao 00202546                               ######
###### Description : To optimize the PV_ON_HVM drivers's Makefile        ######
###### History     :                                                     ######
######               2012-02-24 : Create the file                        ######
###############################################################################

M=$(shell pwd)

include $(M)/config.mk

COMPILEARGS = $(CROSSCOMPILE)

obj-m += xen-platform-pci/
obj-m += xen-balloon/
obj-m += xen-vbd/
obj-m += xen-vnif/
obj-m += xen-vmdq/
#obj-m += xen-scsi/
obj-m += xen-hcall/

all:
	make -C $(KERNDIR) M=$(M) modules $(COMPILEARGS)

modules_install:
	make -C $(KERNDIR) M=$(M) modules_install $(COMPILEARGS)

clean:
	make -C $(KERNDIR) M=$(M) clean $(COMPILEARGS)
	rm -rf Module.symvers

=== uvp-xenpv/others/Ubuntu8/Makefile ===
###############################################################################
###### File name   : Makefile                                            ######
###### Author      :                                                     ######
###### Modify      : songjiangtao 00202546                               ######
###### Description : To optimize the PV_ON_HVM drivers's Makefile        ######
###### History     :                                                     ######
######               2012-02-24 : Create the file                        ######
###############################################################################

M=$(shell pwd)

COMPILEARGS = $(CROSSCOMPILE)

obj-m += xen-platform-pci/
obj-m += xen-balloon/
obj-m += xen-vbd/
obj-m += xen-vnif/
obj-m += xen-vmdq/
obj-m += xen-hcall/

all:
	make -C $(KERNDIR) M=$(M) modules $(COMPILEARGS)

modules_install:
	make -C $(KERNDIR) M=$(M) modules_install $(COMPILEARGS)

clean:
	make -C $(KERNDIR) M=$(M) clean $(COMPILEARGS)
	rm -rf Module.symvers

=== uvp-xenpv/uvp-pvops_xen_driver-2.6.32to4.0.x/xen-hcall/Makefile ===
include $(M)/config.mk

obj-m = xen-hcall.o

## uvp-monitor 2.2.0.315

=== Makefile ===
$(shell dos2unix build_tools)
$(shell chmod u+x build_tools)
all:
	@./build_tools -b
clean:
	@./build_tools -c

=== uvp-monitor/Makefile ===
--- 
+++ 
@@ -28,8 +28,8 @@
 CFLAGS += -DNOT_USE_PV_UPGRADE
 
 ${TARGET}-${cpu_bit}: securec_api has_xs patch_xs
-	$(CC) -o $@ ${INC_FLAGS} main.c xenctlmon.c network.c netinfo.c memory.c cpuinfo.c xenstore_common.c hostname.c cpu_hotplug.c disk.c upgrade.c healthcheck.c check_kernel.c ${CFLAGS} libsecurec.a -L. -lxenstore 
-	$(CC) -o $@-static ${INC_FLAGS} main.c xenctlmon.c network.c netinfo.c memory.c cpuinfo.c xenstore_common.c hostname.c cpu_hotplug.c disk.c upgrade.c healthcheck.c check_kernel.c ${CFLAGS} libsecurec.a -L. libxenstore.a -L.
+	$(CC) -o $@ ${INC_FLAGS} main.c xenctlmon.c network.c netinfo.c memory.c cpuinfo.c xenstore_common.c hostname.c cpu_hotplug.c disk.c upgrade.c healthcheck.c ${CFLAGS} libsecurec.a -L. -lxenstore 
+	$(CC) -o $@-static ${INC_FLAGS} main.c xenctlmon.c network.c netinfo.c memory.c cpuinfo.c xenstore_common.c hostname.c cpu_hotplug.c disk.c upgrade.c healthcheck.c ${CFLAGS} libsecurec.a -L. libxenstore.a -L.
 	$(CC) -o arping iputils/arping.c
 	$(CC) -o ndsend iputils/ndsend.c
 
@@ -67,7 +67,7 @@
 	cd -
 
 install:
-	install -m544 uvp-monitor-${cpu_bit} /usr/bin/
+	install -m544 uvp-monitor-${cpu_bit} /usr/bin/uvp-monitor
 	install -m544 ./xen-4.1.2/tools/xenstore/libxenstore.so.3.0.0 /usr/lib
 	@cd /usr/lib; \
 	ln -sf libxenstore.so.3.0.0 libxenstore.so.3.0; \
@@ -80,7 +80,7 @@
 	@ln -sf /etc/init.d/uvp-monitor /etc/rc.d/rc5.d/K99uvp-monitor
 
 install_static:
-	install -m544 uvp-monitor-${cpu_bit}-static /usr/bin/
+	install -m544 uvp-monitor-${cpu_bit}-static /usr/bin/uvp-monitor
 	install -m544 monitor/uvp-monitor /etc/init.d/
 	@ln -sf /etc/init.d/uvp-monitor /etc/rc.d/rc3.d/S99uvp-monitor
 	@ln -sf /etc/init.d/uvp-monitor /etc/rc.d/rc3.d/K99uvp-monitor

=== uvp-xenpv/uvp-classic_xen_driver-2.6.32to3.0.x/Makefile ===
--- 
+++ 
@@ -16,8 +16,6 @@
 obj-m += xen-balloon/
 obj-m += xen-vbd/
 obj-m += xen-vnif/
-obj-m += xen-hcall/
-obj-m += xen-vmdq/
 ifeq (2.6.32, $(OSVERSION))
 ifeq (x86_64, $(KERNELARCH))
 reboot=reboot_64.c
@@ -60,9 +58,6 @@
 	@set -e; \
 	for dir in $(obj-m); \
 	do \
-		if [ "xen-hcall/" == "$$dir" ] || [ "xen-vmdq/" == "$$dir" ]; then \
-			continue; \
-		fi; \
 		cd $$dir; \
 		for file in `ls $(OSVERSION)`; \
 		do \

=== uvp-monitor/securec/src/Makefile ===
PROJECT=libsecurec.so
#if you need a debug version library, use "-g" instead of "-s -DNDEBUG -O2".
# If you compiler report a warning on "break strict-aliasing rules", there is no problem. If you need to clear all warnings, you can add "-fno-strict-aliasing" option to your compiler, but this will impact the performance a little.

CFLAG= -I ../include -Wall  -s -DNDEBUG -O2 
CXXFLAG= $(CFLAG)
CC=gcc
GCC=gcc
ARCH:=$(shell getconf LONG_BIT)

ifeq ($(ARCH), 64)
    CFLAG += -fPIC
    CXXFLAG += -fPIC
endif

SOURCES=$(wildcard *.c)
OBJECTS=$(patsubst %.c,%.o,$(SOURCES))

$(PROJECT):$(OBJECTS)
	@mkdir -p ../obj
	mkdir -p ../lib
	$(GCC)  -shared -o ../lib/$@ $(patsubst %.o,../obj/%.o,$^) $(CFLAG) 
	ar crv libsecurec.a $(patsubst %.o,../obj/%.o,$^)
	ranlib libsecurec.a 
	#cp ../lib/libsecurec.so /usr/local/lib/libsecurec.so
	#you may add you custom commands here
	@echo "finish $(PROJECT)"
.c.o:
	@mkdir -p ../obj
	$(GCC) -c $< $(CFLAG) -o ../obj/$(patsubst %.c,%.o,$<)

clean:
	rm -rf *.o ../obj ../lib $(PROJECT) libsecurec.a

=== uvp-xenpv/others/FEDORA12/Makefile ===
--- 
+++ 
@@ -15,9 +15,6 @@
 obj-m += xen-balloon/
 obj-m += xen-vbd/
 obj-m += xen-vnif/
-obj-m += xen-vmdq/
-#obj-m += xen-scsi/
-obj-m += xen-hcall/
 
 all:
 	make -C $(KERNDIR) M=$(M) modules $(COMPILEFLAGS)

=== debian/changelog ===
uvp-monitor (2.2.0.315-0ubuntu1) artful; urgency=medium

  * Initial release (LP: #1714968)
  * debian/patches/use_ubuntu_paths.patch,
    debian/patches/change_makefile_for_ubuntu.patch:
    - Add two distro-patches on top of the source to switch all hard-cored
      paths to something more sensible on Ubuntu + modify the Makefile to make
      the build and installation easier for our case.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 27 Apr 2017 20:13:00 +0200

=== debian/control ===
Source: uvp-monitor
Section: misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>
Build-Depends: debhelper (>= 9),
               libxen-dev,
               libxml2-dev,
Standards-Version: 3.9.8
Homepage: https://github.com/UVP-Tools/UVP-Tools

Package: uvp-monitor
Architecture: any
Depends: init-system-helpers,
         procps,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Virtual machine UVP/Xen monitoring program
 The UVP Monitor provides enhancements to VMs running on UVP/Xen by collecting
 and exporting recource usage data as well as VM hostnames.

## uvp-monitor 2.2.0.316

=== uvp-monitor/Makefile ===
--- 
+++ 
@@ -24,12 +24,9 @@
 	CFLAGS += -g
 endif
 
-# don't provide pv-upgrade ability to user-compiled-pv vm
-CFLAGS += -DNOT_USE_PV_UPGRADE
-
 ${TARGET}-${cpu_bit}: securec_api has_xs patch_xs
-	$(CC) -o $@ ${INC_FLAGS} main.c xenctlmon.c network.c netinfo.c memory.c cpuinfo.c xenstore_common.c hostname.c cpu_hotplug.c disk.c upgrade.c healthcheck.c ${CFLAGS} libsecurec.a -L. -lxenstore 
-	$(CC) -o $@-static ${INC_FLAGS} main.c xenctlmon.c network.c netinfo.c memory.c cpuinfo.c xenstore_common.c hostname.c cpu_hotplug.c disk.c upgrade.c healthcheck.c ${CFLAGS} libsecurec.a -L. libxenstore.a -L.
+	$(CC) -o $@ ${INC_FLAGS} main.c xenctlmon.c network.c netinfo.c memory.c cpuinfo.c xenstore_common.c hostname.c cpu_hotplug.c disk.c ${CFLAGS} libsecurec.a -L. -lxenstore 
+	$(CC) -o $@-static ${INC_FLAGS} main.c xenctlmon.c network.c netinfo.c memory.c cpuinfo.c xenstore_common.c hostname.c cpu_hotplug.c disk.c ${CFLAGS} libsecurec.a -L. libxenstore.a -L.
 	$(CC) -o arping iputils/arping.c
 	$(CC) -o ndsend iputils/ndsend.c
 
@@ -40,7 +37,7 @@
 	elif [ -f "xen-4.1.2.tar.gz" ]; then \
 		echo "You have a xen-4.1.2 source tarball."; \
 	else \
-		wget http://bits.xensource.com/oss-xen/release/4.1.2/xen-4.1.2.tar.gz; \
+		wget https://downloads.xenproject.org/release/xen/4.1.2/xen-4.1.2.tar.gz; \
 		if [ "X1" = "X$$?" ]; then \
 			echo "You must download xen-4.1.2 source tarball." \
 			exit 1; \

=== uvp-xenpv/uvp-classic_xen_driver-3.12.xto3.16.x/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 ###############################################################################
 ###### File name   : Makefile                                            ######
 ###### Author      :                                                     ######
+###### Modify      : Jinjian 00196667                                    ######
 ###### Description : To optimize the PV_ON_HVM drivers's Makefile        ######
 ###### History     :                                                     ######
 ######               2012-02-24 : Create the file                        ######
@@ -13,17 +14,52 @@
 obj-m += xen-platform-pci/
 ifneq ("3.16.6", "$(OSVERSION)")
 obj-m += xen-balloon/
+obj-m += xen-scsi/
 endif
 obj-m += xen-vbd/
 obj-m += xen-vnif/
-obj-m += xen-hcall/
 
-all:
+ifeq ("SUSE12SP1", $(OSTYPE))
+OSVERSION=3.12.49
+endif
+
+ifeq ("SUSE12SP0", $(OSTYPE))
+OSVERSION=3.12.28
+endif
+
+all:lnfile
 	make -C $(KERNDIR) M=$(M) modules $(COMPILEARGS)
 
 modules_install:
 	make -C $(KERNDIR) M=$(M) modules_install $(COMPILEARGS)
 
+lnfile:
+	@set -e; \
+	for dir in $(obj-m); \
+	do \
+		if [ "xen-balloon/" = "$$dir" ] || [ "xen-scsi/" = "$$dir" ]; then \
+			continue; \
+		fi; \
+		if [ "xen-vbd/" = "$$dir" ] && [ "3.16.6" = "$(OSVERSION)" ]; then \
+			cd $$dir; \
+			for file in `ls opensuse`; \
+				do \
+					ln -sf opensuse/$$file $$file; \
+				done; \
+			cd -; \
+			continue; \
+		fi; \
+		cd $$dir; \
+		for file in `ls $(OSVERSION)`; \
+		do \
+			ln -sf $(OSVERSION)/$$file $$file; \
+		done; \
+		cd -; \
+	done; \
+
 clean:
 	make -C $(KERNDIR) M=$(M) clean $(COMPILEARGS)
+	find ./ -name modules.order | xargs rm -f
 	rm -rf Module.symvers
+	cd $$M
+	find ./ -type l | xargs rm -f

=== uvp-xenpv/uvp-pvops_xen_driver-2.6.32to4.0.x/Makefile ===
--- 
+++ 
@@ -15,8 +15,6 @@
 COMPILEFLAGS=$(CROSSCOMPILE)
 
 vnif_path=other
-
-obj-m := xen-hcall/
 
 ifeq ($(NO_PROCFS), )
 obj-m += xen-procfs/

=== uvp-xenpv/others/FEDORA9/Makefile ===
--- 
+++ 
@@ -14,8 +14,6 @@
 obj-m += xen-balloon/
 obj-m += xen-vbd/
 obj-m += xen-vnif/
-obj-m += xen-vmdq/
-obj-m += xen-hcall/
 
 all:
 	make -C $(KERNDIR) M=$(M) modules $(COMPILEFLAGS)

=== uvp-xenpv/others/RHEL4/Makefile ===
--- 
+++ 
@@ -18,8 +18,6 @@
 obj-m += xen-balloon/
 obj-m += xen-vbd/
 obj-m += xen-vnif/
-obj-m += xen-vmdq/
-obj-m += xen-hcall/
 
 all:lnfile
 	make -C $(KERNDIR) M=$(M) modules $(COMPILEARGS)

=== uvp-xenpv/others/RHEL5/Makefile ===
--- 
+++ 
@@ -22,8 +22,6 @@
 obj-m += xen-vbd/
 obj-m += xen-vnif/
 obj-m += xen-scsi/
-obj-m += xen-vmdq/
-obj-m += xen-hcall/
 ifneq ($(RHEL55_VBD), )
 vbd_path = 2.6.18-194
 endif

=== uvp-xenpv/others/SLES10/Makefile ===
--- 
+++ 
@@ -14,8 +14,6 @@
 obj-m += xen-balloon/
 obj-m += xen-vbd/
 obj-m += xen-vnif/
-obj-m += xen-vmdq/
-obj-m += xen-hcall/
 
 all:
 	make -C $(KERNDIR) M=$(M) modules $(COMPILEARGS)

=== uvp-xenpv/others/Ubuntu10/Makefile ===
--- 
+++ 
@@ -17,9 +17,6 @@
 obj-m += xen-balloon/
 obj-m += xen-vbd/
 obj-m += xen-vnif/
-obj-m += xen-vmdq/
-#obj-m += xen-scsi/
-obj-m += xen-hcall/
 
 all:
 	make -C $(KERNDIR) M=$(M) modules $(COMPILEARGS)

=== uvp-xenpv/others/Ubuntu8/Makefile ===
--- 
+++ 
@@ -15,8 +15,6 @@
 obj-m += xen-balloon/
 obj-m += xen-vbd/
 obj-m += xen-vnif/
-obj-m += xen-vmdq/
-obj-m += xen-hcall/
 
 all:
 	make -C $(KERNDIR) M=$(M) modules $(COMPILEARGS)

=== uvp-xenpv/uvp-pvops_xen_driver-2.6.32to4.0.x/xen-balloon/Makefile ===
include $(M)/config.mk

obj-m = xen-balloon.o

=== uvp-xenpv/uvp-pvops_xen_driver-2.6.32to4.0.x/xen-procfs/Makefile ===
include $(M)/config.mk

obj-m = xen-procfs.o

=== uvp-xenpv/uvp-pvops_xen_driver-2.6.32to4.0.x/xen-scsi/Makefile ===
include $(M)/config.mk

obj-m := xen-scsifront.o
xen-scsifront-objs := scsifront.o xenbus.o

=== debian/changelog ===
uvp-monitor (2.2.0.316-0ubuntu1~16.04.1) xenial; urgency=medium

  * Backport to xenial (LP: #1735532).
  * New upstream release.
  * Add debian/watch.
  * debian/control: switch priority from extra to optional.
  * debian/patches/init.d_script_fixes.patch:
    - Fix some lintian errors with the init.d script by adding local_fs
      dependency on start/stop.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 30 Nov 2017 12:08:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: uvp-monitor
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>
 Build-Depends: debhelper (>= 9),

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	make -C uvp-monitor uvp-monitor

override_dh_install:
	mkdir -p debian/uvp-monitor/usr/bin
	install -m544 uvp-monitor/uvp-monitor debian/uvp-monitor/usr/bin/uvp-monitor
	mkdir -p debian/uvp-monitor/etc/init.d
	install -m544 uvp-monitor/monitor/uvp-monitor debian/uvp-monitor/etc/init.d/
	mkdir -p debian/uvp-monitor/usr/lib/uvp-monitor
	install -m544 uvp-monitor/monitor/xenvnet-arp debian/uvp-monitor/usr/lib/uvp-monitor/
	install -m544 uvp-monitor/ndsend debian/uvp-monitor/usr/lib/uvp-monitor/
	install -m544 uvp-monitor/arping debian/uvp-monitor/usr/lib/uvp-monitor/

override_dh_clean:
	make -C uvp-monitor clean
	dh_clean

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/uvp-monitor-$1\.tar\.gz/ \
 https://github.com/UVP-Tools/UVP-Tools/tags .*/?(\d\.\d\.\d\.\d.\d{1,})\.tar\.gz
